// For general information on the Pynini grammar compilation library, see
// pynini.opengrm.org.

#ifndef REPEATSCRIPT_H_
#define REPEATSCRIPT_H_

#include <fst/script/arg-packs.h>
#include <fst/script/fst-class.h>
#include "repeat.h"

namespace fst {
namespace script {

typedef args::Package<MutableFstClass *, int, int> RepeatArgs;

template <class Arc>
void Repeat(RepeatArgs *args) {
  MutableFst<Arc> *fst = args->arg1->GetMutableFst<Arc>();
  Repeat(fst, args->arg2, args->arg3);
}

void Repeat(MutableFstClass *fst, int lower, int upper);

}  // namespace script
}  // namespace fst

#endif  // REPEATSCRIPT_H_

